Package org.eclipse.rdf4j.spring.demo.model

## Class Painting

- java.lang.Object
- - org.eclipse.rdf4j.spring.demo.model.Painting

-     public class Painting
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Variable` | `PAINTING_ARTIST_ID` |
    `static Variable` | `PAINTING_ID` |
    `static Variable` | `PAINTING_LABEL` |
    `static Variable` | `PAINTING_TECHNIQUE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Painting()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `IRI` | `getArtistId()` |
    `IRI` | `getId()` |
    `String` | `getTechnique()` |
    `String` | `getTitle()` |
    `int` | `hashCode()` |
    `void` | `setArtistId​(IRI artistId)` |
    `void` | `setId​(IRI id)` |
    `void` | `setTechnique​(String technique)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAINTING_ID

          public static final Variable PAINTING_ID

    - #### PAINTING_ARTIST_ID

          public static final Variable PAINTING_ARTIST_ID

    - #### PAINTING_TECHNIQUE

          public static final Variable PAINTING_TECHNIQUE

    - #### PAINTING_LABEL

          public static final Variable PAINTING_LABEL

  - ### Constructor Detail

    - #### Painting

          public Painting()

  - ### Method Detail

    - #### getId

          public IRI getId()

    - #### setId

          public void setId​(IRI id)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getTechnique

          public String getTechnique()

    - #### setTechnique

          public void setTechnique​(String technique)

    - #### getArtistId

          public IRI getArtistId()

    - #### setArtistId

          public void setArtistId​(IRI artistId)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`